NESSUS-UPDATE-PLUGINS(8)

NAME
nessus-update-plugins - updates the Nessus security checks automatically

SYNOPSIS
nessus-update-plugins [-v] [-r <pluginname>] [-h] [-i <pluginname>]

DESCRIPTION
The Nessus Security Scanner performs several security checks, each of them being coded as an external plugin coded in NASL. As new security holes are published every day, new plugins appear on the Nessus web-site (www.nessus.org), and having an up-to-date nessusd server can be difficult and time consuming.
The script nessus-update-plugins will fetch all the newest security checks for you, install them at the proper location, and restart nessusd(8) so that it take them into account.
nessus-update-plugins uses lynx(1), tar(1) and gzip(1) to do its job.

OPTION

-v  Will make nessus-update-plugins display the name of the newly installed plugins.

-r <pluginname>
    Make nessus-update-plugins display the source code of the plugin <pluginname>

-i <pluginname>
    Only install the plugin pluginname

-h  Show the help summary

PROXIES
If you are behind a web proxy, then create a file called .nessus-update-pluginsrc in your home, and add the following lines in it :
proxy_user= username
proxy_passwd= password
proxy= address_of_your_proxy
A valid rc file would be :
proxy_user=renaud
proxy_passwd=topsecr3t
proxy=prof.fr.nessus.org:8080

SECURITY NOTES
nessus-update-plugins uses lynx(1) to retrieve the archive of the new plugins, at http://www.nessus.org/nasl/all.tar.gz. The scripts are not signed so a cracker may poison your DNS server and force this script to retrieve scripts on another web server, and then force your nessusd to execute nasl scripts that do something else. Even if this can not do much harm (see the NASL reference guide for more information on that subject) you should be extra careful regarding this. So use this script with caution

SEE ALSO
lynx(1), gzip(1), tar(1)
nessus(1), nessusd(8), nessus-adduser(8)

MORE INFORMATION ABOUT THE NESSUS PROJECT
The canonical places where you will find more information about the Nessus project are :
    http://www.nessus.org (Official site)
    http://cvs.nessus.org (Developers site)

AUTHOR
Renaud Deraison <deraison@cvs.nessus.org>. This script has been released under the GPL